summaryrefslogtreecommitdiffstats
path: root/system-boot/components/9990-mount-cifs.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-boot/components/9990-mount-cifs.sh
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-boot/components/9990-mount-cifs.sh')
-rwxr-xr-xsystem-boot/components/9990-mount-cifs.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/system-boot/components/9990-mount-cifs.sh b/system-boot/components/9990-mount-cifs.sh
new file mode 100755
index 0000000..8dd1818
--- /dev/null
+++ b/system-boot/components/9990-mount-cifs.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+#set -e
+
+do_cifsmount ()
+{
+ rc=1
+
+ if [ -x "/sbin/mount.cifs" ]
+ then
+ if [ -z "${NFSOPTS}" ]
+ then
+ CIFSOPTS="-o user=root,password="
+ else
+ CIFSOPTS="-o ${NFSOPTS}"
+ fi
+
+ log_begin_msg "Trying mount.cifs ${NFSROOT} ${mountpoint} ${CIFSOPTS}"
+ modprobe -q cifs
+
+ if mount.cifs "${NFSROOT}" "${mountpoint}" ${CIFSOPTS}
+ then
+ rc=0
+ fi
+ fi
+
+ return ${rc}
+}